/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {

  .home-title {
    font-size: 50px;
  }

  .about {
    margin: 0;
  }

  .container {
    width: 80%;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    justify-content: center;
  }

  .about-container {
    padding: 0;
    margin: 0;
    flex-direction: column;
  }

  .image-container {
    justify-content: center;
    width: 100%;
  }

  .my-image {
    width: 200px;
    height: 200px;
    border-radius: 100%;
    object-fit: cover;
  }

  .text-container {
    padding: 30px 0;
    width: 100%;
  }

  .content {
    font-size: 19px;
  }

  .title-line {
    margin-top: 50px;
  }

  .about-title {
    font-size: 50px;
    margin-bottom: 40px;
  }

  /* Gallery */
  .gallery {
    margin: 50px auto;
    width: 80%;
    min-height: 80vh;
  }

  .gallery-title {
    font-size: 50px;
    margin-bottom: 50px;
  }

  .expandigcards {
    flex-direction: column;
    height: auto;
    overflow: visible;
    width: 100%;
    transition: opacity 0.3s ease-in 0.4s;
  }

  .panel {
    width: 100%;
    height: auto;
    min-height: 50px;
    margin: 5px;
  }

  .panel.active {
    min-height: 400px;
  }

  .gallery-container .btn {
    margin: 20px auto;
  }

  .gallery-container .btn a {
    font-size: 16px;
  }

  footer {
    padding: 30px 0;
  }

  footer ul {
    font-size: 17px;
  }

}

@media (min-width: 481px) and (max-width: 767px) {

  .home-title {
    font-size: 60px;
  }

  .about {
    margin: 0;
  }

  .container {
    width: 80%;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    justify-content: center;
    padding-top: 80px;
  }

  .about-container {
    padding: 0;
    margin: 0;
    flex-direction: column;
  }

  .image-container {
    justify-content: center;
    width: 100%;
  }

  .my-image {
    width: 200px;
    height: 200px;
    border-radius: 100%;
    object-fit: cover;
  }

  .text-container {
    padding: 0 0 30px 0;
    width: 100%;
  }

  .content {
    font-size: 19px;
  }

  .title-line {
    margin-top: 50px;
  }

  .about-title {
    font-size: 50px;
    margin-bottom: 60px;
  }

  /* Gallery */
  .gallery {
    width: 80%;
    margin: 50px auto;
    min-height: 80vh;
  }

  .gallery-title {
    font-size: 50px;
    margin-bottom: 0px;
  }

  .expandigcards {
    flex-direction: column;
    height: auto;
    overflow: visible;
  }

  .panel {
    width: 100%;
    height: auto;
    min-height: 50px;
    margin: 5px;
  }

  .panel.active {
    min-height: 400px;
  }

  .gallery-container .btn {
    margin: 20px auto;
  }

  .project-images img {
    max-width: 150px;
  }

  footer {
    padding: 30px 0;
  }

  footer ul {
    font-size: 17px;
  }
}

@media (min-width: 320px) and (max-width: 768px) {

  .background-video {
    height: 100vh;
  }

  nav {
    flex-wrap: wrap;
    background-color: #1a1a1a;
  }

  .hamburger {
    display: flex;
    flex-wrap: wrap;
  }

  .logo {
    height: 80px;
    padding-left: 20px;
  }

  .logo a {
    font-size: 24px;
  }

  .nav-links {
    display: none;
    flex-basis: 100%;
    flex-wrap: wrap;
    padding: 16px;
    margin-left: 0;
    margin-bottom: 20px;
  }

  .nav-links li {
    flex-basis: 100%;
  }

  .nav-links a {
    text-align: center;
    font-size: 24px;
  }

  .nav-links a:hover {
    opacity: 0.8;
  }
}